package main

import (
	"fmt"
	"os"
	"time"

	"git.skogstorpet.nu/staffan/environ"
	"google.golang.org/grpc"
)

func main() {
	clientConn, err := grpc.Dial("127.0.0.1:12345", grpc.WithInsecure())
	if err != nil {
		panic(err)
	}
	defer clientConn.Close()
	clientEnv, serverEnv, err := environ.GetBuildInfo(clientConn, time.Second)
	if err != nil {
		fmt.Printf("error: %v\n", err)
	}
	environ.PrintBuildInfo(os.Stdout, clientEnv, serverEnv)
}
