package main

import (
	"net"

	"git.skogstorpet.nu/staffan/environ"
	"google.golang.org/grpc"
)

func main() {
	lis, err := net.Listen("tcp", "127.0.0.1:12345")
	if err != nil {
		panic(err)
	}
	defer lis.Close()
	server := grpc.NewServer()
	environ.NewServer(server)
	if err := server.Serve(lis); err != nil {
		panic(err)
	}

}
